Subject: RE: [Mip4] Problem of using layer 2 triggers alone for the Low latencyHandoffforMIPv4

From: "ANTOINE Stephane RD-ILAB-LON" <[email-masked]>
Date: Mon, 22 Jan 2007 16:16:50 +0100

Sebastian, thanks for your reply 
More comments in-line...

> >
> >SA> The draft "Using Higher Layer Triggers for Low Latency 
> Handoffs in
> >MIPv4" is extending the scope of the triggers used to 
> initiate the low
> >latency handoff. It is introducing the use of Layer 3 or 
> above triggers
> >without necessarily relying on layer 2 triggers. The draft 
> is presenting
> >the motivation for this choice.
> >http://www.ietf.org/internet-drafts/draft-antoine-mip4-lowlat
> ency-handof
> >f-triggers-00.txt 
> >  
> >
> st> Good. Reliance on L2 conditions is essential, since the 
> radio-link 
> is stochastic in nature, and L3 and above layers cannot be 
> expected to 
> implicity determine radio-link conditions. L2 information is 
> required by 
> the L3 and above layers for handoff related optimization. The 
> low-latency draft proposal does not preclude other L3 
> conditions/triggers such as network capacity, load balancing 
> etc. which 
> could force a handoff in cases where the radio-link condition is not 
> impacted.
> 

SA> The Low Latency draft as it is only relies on the L2 triggers
without precluding any L3 discovery, decision scheme ...Similarly the
draft "Using higher layer trigger for the low latency draft" 
http://www.ietf.org/internet-drafts/draft-antoine-mip4-lowlatency-handof
f-triggers-00.txt 
points out that Higher layer triggers can be used without precluding any
L3 discovery mechanism. Moreover, the draft presents the benefits of
relying on higher Layer triggers instead of L2 triggers alone.
I think the low latency handoff in MIPv4 should not restrict the origin
of the trigger. The Low latency should be independent of whether the
trigger initiating the L3 handoff comes from L2 or higher layers. What I
suggest is to have a separation of the work into 2 main parts: 
1.	The Low Latency Handoff without mention of the origin of the
trigger.
2.	Mechanisms to trigger the Low latency from Layer 2 or from
higher Layers. 

Cheers
Stephane

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/